<?php
/* Mantenimiento de los registros de la tabla MST_CuentaBancaria redefinidos por el usaurio */
class MST_CuentaBancariaDP extends BaseMST_CuentaBancariaDP
{
    public static function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( IdCuenta ) IS NULL, 1, MAX( IdCuenta ) + 1 ) i_Id  FROM MST_CuentaBancaria ";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        $i_Id = $o_ResultSet->getInt( 'i_Id' );
        return $i_Id;
    }
}
?>